Package com.pixelmed.network

## Class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler
  - - com.pixelmed.network.NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler

- Enclosing class:
    NetworkMediaImporter

      protected class NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler
      extends MultipleInstanceTransferStatusHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MessageLogger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OurMultipleInstanceTransferStatusHandler​(MessageLogger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateStatus​(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected MessageLogger logger

  - ### Constructor Detail

    - #### OurMultipleInstanceTransferStatusHandler

          public OurMultipleInstanceTransferStatusHandler​(MessageLogger logger)

  - ### Method Detail

    - #### updateStatus

          public void updateStatus​(int nRemaining,
                                   int nCompleted,
                                   int nFailed,
                                   int nWarning,
                                   java.lang.String sopInstanceUID)

      Specified by:
        `updateStatus` in class `MultipleInstanceTransferStatusHandler`